<?php
/**
 * Plugin Name:     AweBooking Fees
 * Plugin URI:      http://awethemes.com/plugins/awebooking
 * Description:     Build and add your own custom fields in the booking check-out form to collect any information you need for each reservation.
 * Author:          awethemes
 * Author URI:      http://awethemes.com
 * Text Domain:     awebooking-fees
 * Domain Path:     /languages
 * Version:         1.0.2
 *
 * @package         Awebooking/Fees
 */

if ( ! defined( 'AWEBOOKING_FEES_VERSION' ) ) {
	require trailingslashit( __DIR__ ) . 'vendor/autoload.php';

	/* Define the premium constant */
	if ( ! defined( 'ABRS_PREMIUM' ) ) {
		define( 'ABRS_PREMIUM', true );
	}

	/* Constants */
	define( 'AWEBOOKING_FEES_VERSION', '1.0.2' );
	define( 'AWEBOOKING_FEES_PLUGIN_FILE', __FILE__ );
	define( 'AWEBOOKING_FEES_PLUGIN_URL', plugin_dir_url( __FILE__ ) );
	define( 'AWEBOOKING_FEES_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );

	add_action( 'awebooking_init', function ( $plugin ) {
		/* @var \AweBooking\Plugin $plugin */
		if ( version_compare( $plugin->version(), '3.1.9', '>' ) ) {
			$plugin->provider( \AweBooking\Fees\Service_Provider::class );
		}
	} );
}
